--
-- PostgreSQL database dump
--

-- Dumped from database version 9.1.4
-- Dumped by pg_dump version 9.1.4
-- Started on 2013-11-10 10:12:23 CET

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 164 (class 3079 OID 11907)
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- TOC entry 2139 (class 0 OID 0)
-- Dependencies: 164
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 163 (class 1259 OID 24602)
-- Dependencies: 5
-- Name: catalogo; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "catalogo" (
    "fornitore" oid NOT NULL,
    "prodotto" oid NOT NULL,
    "costo" real
);


ALTER TABLE public."catalogo" OWNER TO postgres;

--
-- TOC entry 161 (class 1259 OID 24577)
-- Dependencies: 5
-- Name: fornitori; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "fornitori" (
    "nome" text,
    "codiceFornitore" oid NOT NULL,
    "indirizzo" text,
    "citta" text
);


ALTER TABLE public."fornitori" OWNER TO postgres;

--
-- TOC entry 162 (class 1259 OID 24585)
-- Dependencies: 5
-- Name: prodotto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "prodotti" (
    "codiceProdotto" oid NOT NULL,
    "nome" text,
    "marca" text,
    "modello" text
);


ALTER TABLE public."prodotti" OWNER TO postgres;

--
-- TOC entry 2133 (class 0 OID 24602)
-- Dependencies: 163
-- Data for Name: catalogo; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO "catalogo"("fornitore", "prodotto", "costo") VALUES (001, 0002, 3200);
INSERT INTO "catalogo"("fornitore", "prodotto", "costo") VALUES (001, 0003, 2200);
INSERT INTO "catalogo"("fornitore", "prodotto", "costo") VALUES (002, 0001, 1900);
INSERT INTO "catalogo"("fornitore", "prodotto", "costo") VALUES (002, 0002, 2500);
INSERT INTO "catalogo"("fornitore", "prodotto", "costo") VALUES (002, 0003, 1800);
INSERT INTO "catalogo"("fornitore", "prodotto", "costo") VALUES (010, 0001, 2200);
INSERT INTO "catalogo"("fornitore", "prodotto", "costo") VALUES (010, 0003, 2000);


--
-- TOC entry 2131 (class 0 OID 24577)
-- Dependencies: 161
-- Data for Name: fornitori; Type: TABLE DATA; Schema: public; Owner: postgres
--


INSERT INTO "fornitori"("nome", "codiceFornitore", "indirizzo", "citta") VALUES ('Risparmietti', 002, 'Viale Marconi', 'Roma');
INSERT INTO "fornitori"("nome", "codiceFornitore", "indirizzo", "citta") VALUES ('Teloporto', 010, 'Via Roma', 'Milano');
INSERT INTO "fornitori"("nome", "codiceFornitore", "indirizzo", "citta") VALUES ('Ladroni', 001, 'Via Ostiense', 'Roma');


--
-- TOC entry 2132 (class 0 OID 24585)
-- Dependencies: 162
-- Data for Name: prodotto; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO "prodotti"("codiceProdotto", "nome", "marca", "modello") VALUES (0001, 'Notebook', 'IBM', '390 X');
INSERT INTO "prodotti"("codiceProdotto", "nome", "marca", "modello") VALUES (0002, 'Desktop', 'IBM', '510');
INSERT INTO "prodotti"("codiceProdotto", "nome", "marca", "modello") VALUES (0003, 'Desktop', 'ACER', '790');


--
-- TOC entry 2128 (class 2606 OID 24730)
-- Dependencies: 163 163 163
-- Name: catalogo_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "catalogo"
    ADD CONSTRAINT "catalogo_pkey" PRIMARY KEY ("fornitore", "prodotto");


--
-- TOC entry 2124 (class 2606 OID 24700)
-- Dependencies: 161 161
-- Name: fornitori_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "fornitori"
    ADD CONSTRAINT "fornitori_pkey" PRIMARY KEY ("codiceFornitore");


--
-- TOC entry 2126 (class 2606 OID 24716)
-- Dependencies: 162 162
-- Name: prodotto_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "prodotti"
    ADD CONSTRAINT "prodotti_pkey" PRIMARY KEY ("codiceProdotto");


--
-- TOC entry 2129 (class 2606 OID 24746)
-- Dependencies: 2123 161 163
-- Name: catalogo_fornitore_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "catalogo"
    ADD CONSTRAINT "catalogo_fornitore_fkey" FOREIGN KEY ("fornitore") REFERENCES "fornitori"("codiceFornitore");


--
-- TOC entry 2130 (class 2606 OID 24751)
-- Dependencies: 2125 162 163
-- Name: catalogo_prodotto_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "catalogo"
    ADD CONSTRAINT "catalogo_prodotto_fkey" FOREIGN KEY ("prodotto") REFERENCES "prodotti"("codiceProdotto");


--
-- TOC entry 2138 (class 0 OID 0)
-- Dependencies: 5
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2013-11-10 10:12:23 CET

--
-- PostgreSQL database dump complete
--

